-- Fichero DBVisualFSQLdes.sql
-------------------------------------------------------------------
-- Borrar TABLAS de la Base de Datos DIFUSA de prueba, as como  --
-- borrar los elementos en la FMB de esta Bd (etiquetas...)      --
-------------------------------------------------------------------
-- Para que salgan los mensajes (de put_line) al instalar desde FSQL*Plus:
set serveroutput on
-- Para que salgan (o no) las ordenes a ejecutar: set echo on
set echo off
-- Para que no salgan los mensajes cuando todo va bien (los errores si salen):
set feedback off

exec dbms_output.put_line('>>>>');
exec dbms_output.put_line('>>>> **************************************** <<<<');
exec dbms_output.put_line('>>>> **** DESINSTALACIN de una Base de  **** <<<<');
exec dbms_output.put_line('>>>> **** Datos Difusa de ejemplo.       **** <<<<');
exec dbms_output.put_line('>>>> **************************************** <<<<');
exec dbms_output.put_line('>>>>');

DECLARE
  t_APTITUDES		NUMBER;
  t_EMPLEOS    		NUMBER;
  t_PUESTOS    		NUMBER;
  t_DEPARTAMENTOS       NUMBER;
  t_EMPLEADOS  		NUMBER;
BEGIN
  -- Calcular OBJ# para las tablas con columnas difusas:
  SELECT object_id into t_APTITUDES FROM user_objects WHERE object_name='APTITUDES';
  SELECT object_id into t_EMPLEOS FROM user_objects WHERE object_name='EMPLEOS';
  SELECT object_id into t_PUESTOS FROM user_objects WHERE object_name='PUESTOS';
  SELECT object_id into t_DEPARTAMENTOS FROM user_objects WHERE object_name='DEPARTAMENTOS';
  SELECT object_id into t_EMPLEADOS FROM user_objects WHERE object_name='EMPLEADOS';

  -- Atributos con tratamiento difuso: Tipos 1, 2  3.
  DELETE FROM FCL WHERE OBJ#=t_APTITUDES;
  DELETE FROM FCL WHERE OBJ#=t_EMPLEOS;
  DELETE FROM FCL WHERE OBJ#=t_PUESTOS;
  DELETE FROM FCL WHERE OBJ#=t_DEPARTAMENTOS;
  DELETE FROM FCL WHERE OBJ#=t_EMPLEADOS;

  DELETE FROM FCC WHERE OBJ#1=t_PUESTOS;

  DELETE FROM FOL WHERE OBJ#=t_EMPLEOS;
  DELETE FROM FOL WHERE OBJ#=t_APTITUDES;
  DELETE FROM FOL WHERE OBJ#=t_PUESTOS;
  DELETE FROM FOL WHERE OBJ#=t_DEPARTAMENTOS;
  DELETE FROM FOL WHERE OBJ#=t_EMPLEADOS;

  DELETE FROM FLD WHERE OBJ#=t_EMPLEADOS;
  DELETE FROM FLD WHERE OBJ#=t_PUESTOS;
  DELETE FROM FLD WHERE OBJ#=t_APTITUDES;
  DELETE FROM FLD WHERE OBJ#=t_DEPARTAMENTOS;
  DELETE FROM FLD WHERE OBJ#=t_EMPLEOS;

  DELETE FROM FND WHERE OBJ#=t_APTITUDES;
  DELETE FROM FND WHERE OBJ#=t_EMPLEOS;

  DELETE FROM FAM WHERE OBJ#=t_EMPLEADOS;
  DELETE FROM FAM WHERE OBJ#=t_APTITUDES;
  DELETE FROM FAM WHERE OBJ#=t_DEPARTAMENTOS;
  DELETE FROM FAM WHERE OBJ#=t_PUESTOS;
  DELETE FROM FAM WHERE OBJ#=t_EMPLEOS;

  COMMIT;
END;
/

-- Borrar tablas
DROP TABLE EMPLEADOS CASCADE CONSTRAINTS;
DROP TABLE APTITUDES CASCADE CONSTRAINTS;
DROP TABLE DEPARTAMENTOS CASCADE CONSTRAINTS;
DROP TABLE PUESTOS CASCADE CONSTRAINTS;
DROP TABLE EMPLEOS;
COMMIT;

-- Mensaje de FIN:
exec dbms_output.put_line('>>>>');
exec dbms_output.put_line('>>>> FIN de la DESINSTALACIN: Si existieron errores, revise su texto.');
exec dbms_output.put_line('>>>>');

-- Reestablecer los valores por defecto:
set serveroutput off
set feedback on
